# GstFormat

GstFormats functions are used to register a new format to the gstreamer core. Formats can be used to perform seeking or conversions/query operations.

## GstFormatDefinition

A format definition

### Members

`value` (GstFormat) –

The unique id of this format

`nick` (const gchar*) –

A short nick of the format

`description` (const gchar*) –

A longer description of the format

`quark` (GQuark) –

A quark for the nick

## Gst.FormatDefinition

A format definition

### Members

`value` (Gst.Format) –

The unique id of this format

`nick` (String) –

A short nick of the format

`description` (String) –

A longer description of the format

`quark` (GLib.Quark) –

A quark for the nick

## Gst.FormatDefinition

A format definition

### Members

`value` (Gst.Format) –

The unique id of this format

`nick` (str) –

A short nick of the format

`description` (str) –

A longer description of the format

`quark` (GLib.Quark) –

A quark for the nick

## Functions

### gst_format_get_by_nick

    GstFormat
    gst_format_get_by_nick (const gchar* nick)

Return the format registered with the given nick.

Parameters:

`nick` –

The nick of the format

Returns –

The format with nick or GST_FORMAT_UNDEFINED if the format was not registered.

### Gst.prototype.format_get_by_nick

    function Gst.prototype.format_get_by_nick(nick: String): {
        // javascript wrapper for 'gst_format_get_by_nick'
    }

Return the format registered with the given nick.

Parameters:

`nick` (String) –

The nick of the format

Returns (Gst.Format) –

The format with nick or GST_FORMAT_UNDEFINED if the format was not registered.

### Gst.format_get_by_nick

    def Gst.format_get_by_nick (nick):
        #python wrapper for 'gst_format_get_by_nick'

Return the format registered with the given nick.

Parameters:

`nick` (str) –

The nick of the format

Returns (Gst.Format) –

The format with nick or GST_FORMAT_UNDEFINED if the format was not registered.

### gst_format_get_details

    const GstFormatDefinition *
    gst_format_get_details (GstFormat format)

Get details about the given format.

Parameters:

`format` –

The format to get details of

Returns ( [nullable]) –

The GstFormatDefinition for format or NULL on failure.

MT safe.

### Gst.prototype.format_get_details

    function Gst.prototype.format_get_details(format: Gst.Format): {
        // javascript wrapper for 'gst_format_get_details'
    }

Get details about the given format.

Parameters:

`format` (Gst.Format) –

The format to get details of

Returns (Gst.FormatDefinition) –

The Gst.FormatDefinition for format or NULL on failure.

MT safe.

### Gst.format_get_details

    def Gst.format_get_details (format):
        #python wrapper for 'gst_format_get_details'

Get details about the given format.

Parameters:

`format` (Gst.Format) –

The format to get details of

Returns (Gst.FormatDefinition) –

The Gst.FormatDefinition for format or NULL on failure.

MT safe.

### gst_format_get_name

    const gchar*
    gst_format_get_name (GstFormat format)

Get a printable name for the given format. Do not modify or free.

Parameters:

`format` –

a GstFormat

Returns ( [nullable]) –

a reference to the static name of the format or NULL if the format is unknown.

### Gst.prototype.format_get_name

    function Gst.prototype.format_get_name(format: Gst.Format): {
        // javascript wrapper for 'gst_format_get_name'
    }

Get a printable name for the given format. Do not modify or free.

Parameters:

`format` (Gst.Format) –

a Gst.Format

Returns (String) –

a reference to the static name of the format or NULL if the format is unknown.

### Gst.format_get_name

    def Gst.format_get_name (format):
        #python wrapper for 'gst_format_get_name'

Get a printable name for the given format. Do not modify or free.

Parameters:

`format` (Gst.Format) –

a Gst.Format

Returns (str) –

a reference to the static name of the format or NULL if the format is unknown.

### gst_format_iterate_definitions

    GstIterator *
    gst_format_iterate_definitions ()

Iterate all the registered formats. The format definition is read only.

Returns ( [transfer: full]) –

a GstIterator of GstFormatDefinition.

### Gst.prototype.format_iterate_definitions

    function Gst.prototype.format_iterate_definitions(): {
        // javascript wrapper for 'gst_format_iterate_definitions'
    }

Iterate all the registered formats. The format definition is read only.

Returns (Gst.Iterator) –

a GstIterator of Gst.FormatDefinition.

### Gst.format_iterate_definitions

    def Gst.format_iterate_definitions ():
        #python wrapper for 'gst_format_iterate_definitions'

Iterate all the registered formats. The format definition is read only.

Returns (Gst.Iterator) –

a GstIterator of Gst.FormatDefinition.

### gst_format_register

    GstFormat
    gst_format_register (const gchar* nick,
                         const gchar* description)

Create a new GstFormat based on the nick or return an already registered format with that nick.

Parameters:

`nick` –

The nick of the new format

`description` –

The description of the new format

Returns –

A new GstFormat or an already registered format with the same nick.

MT safe.

### Gst.prototype.format_register

    function Gst.prototype.format_register(nick: String, description: String): {
        // javascript wrapper for 'gst_format_register'
    }

Create a new GstFormat based on the nick or return an already registered format with that nick.

Parameters:

`nick` (String) –

The nick of the new format

`description` (String) –

The description of the new format

Returns (Gst.Format) –

A new GstFormat or an already registered format with the same nick.

MT safe.

### Gst.format_register

    def Gst.format_register (nick, description):
        #python wrapper for 'gst_format_register'

Create a new GstFormat based on the nick or return an already registered format with that nick.

Parameters:

`nick` (str) –

The nick of the new format

`description` (str) –

The description of the new format

Returns (Gst.Format) –

A new GstFormat or an already registered format with the same nick.

MT safe.

### gst_format_to_quark

    GQuark
    gst_format_to_quark (GstFormat format)

Get the unique quark for the given format.

Parameters:

`format` –

a GstFormat

Returns –

the quark associated with the format or 0 if the format is unknown.

### Gst.prototype.format_to_quark

    function Gst.prototype.format_to_quark(format: Gst.Format): {
        // javascript wrapper for 'gst_format_to_quark'
    }

Get the unique quark for the given format.

Parameters:

`format` (Gst.Format) –

a Gst.Format

Returns (GLib.Quark) –

the quark associated with the format or 0 if the format is unknown.

### Gst.format_to_quark

    def Gst.format_to_quark (format):
        #python wrapper for 'gst_format_to_quark'

Get the unique quark for the given format.

Parameters:

`format` (Gst.Format) –

a Gst.Format

Returns (GLib.Quark) –

the quark associated with the format or 0 if the format is unknown.

### gst_formats_contains

    gboolean
    gst_formats_contains (const GstFormat * formats,
                          GstFormat format)

See if the given format is inside the format array.

Parameters:

`formats` ( [arrayzero-terminated=1]) –

The format array to search

`format` –

the format to find

Returns –

TRUE if the format is found inside the array

### Gst.prototype.formats_contains

    function Gst.prototype.formats_contains(formats: [ Gst.Format ], format: Gst.Format): {
        // javascript wrapper for 'gst_formats_contains'
    }

See if the given format is inside the format array.

Parameters:

`formats` ([ Gst.Format ]) –

The format array to search

`format` (Gst.Format) –

the format to find

Returns (Number) –

TRUE if the format is found inside the array

### Gst.formats_contains

    def Gst.formats_contains (formats, format):
        #python wrapper for 'gst_formats_contains'

See if the given format is inside the format array.

Parameters:

`formats` ([ Gst.Format ]) –

The format array to search

`format` (Gst.Format) –

the format to find

Returns (bool) –

TRUE if the format is found inside the array

## Enumerations

### GstFormat

Standard predefined formats

##### Members

`GST_FORMAT_UNDEFINED` (0) –

undefined format

`GST_FORMAT_DEFAULT` (1) –

the default format of the pad/element. This can be samples for raw audio, frames/fields for raw video (some, but not all, elements support this; use GST_FORMAT_TIME if you don't have a good reason to query for samples/frames)

`GST_FORMAT_BYTES` (2) –

bytes

`GST_FORMAT_TIME` (3) –

time in nanoseconds

`GST_FORMAT_BUFFERS` (4) –

buffers (few, if any, elements implement this as of May 2009)

`GST_FORMAT_PERCENT` (5) –

percentage of stream (few, if any, elements implement this as of May 2009)

### Gst.Format

Standard predefined formats

##### Members

`Gst.Format.UNDEFINED` (0) –

undefined format

`Gst.Format.DEFAULT` (1) –

the default format of the pad/element. This can be samples for raw audio, frames/fields for raw video (some, but not all, elements support this; use GST_FORMAT_TIME if you don't have a good reason to query for samples/frames)

`Gst.Format.BYTES` (2) –

bytes

`Gst.Format.TIME` (3) –

time in nanoseconds

`Gst.Format.BUFFERS` (4) –

buffers (few, if any, elements implement this as of May 2009)

`Gst.Format.PERCENT` (5) –

percentage of stream (few, if any, elements implement this as of May 2009)

### Gst.Format

Standard predefined formats

##### Members

`Gst.Format.UNDEFINED` (0) –

undefined format

`Gst.Format.DEFAULT` (1) –

the default format of the pad/element. This can be samples for raw audio, frames/fields for raw video (some, but not all, elements support this; use GST_FORMAT_TIME if you don't have a good reason to query for samples/frames)

`Gst.Format.BYTES` (2) –

bytes

`Gst.Format.TIME` (3) –

time in nanoseconds

`Gst.Format.BUFFERS` (4) –

buffers (few, if any, elements implement this as of May 2009)

`Gst.Format.PERCENT` (5) –

percentage of stream (few, if any, elements implement this as of May 2009)

## Constants

### GST_FORMAT_PERCENT_MAX

    #define GST_FORMAT_PERCENT_MAX          G_GINT64_CONSTANT (1000000)

The PERCENT format is between 0 and this value

### Gst.FORMAT_PERCENT_MAX

The PERCENT format is between 0 and this value

### Gst.FORMAT_PERCENT_MAX

The PERCENT format is between 0 and this value

### GST_FORMAT_PERCENT_SCALE

    #define GST_FORMAT_PERCENT_SCALE        G_GINT64_CONSTANT (10000)

The value used to scale down the reported PERCENT format value to its real value.

### Gst.FORMAT_PERCENT_SCALE

The value used to scale down the reported PERCENT format value to its real value.

### Gst.FORMAT_PERCENT_SCALE

The value used to scale down the reported PERCENT format value to its real value.

The results of the search are